Skip to main content
POST
/
v1
/
talking-actors
/
generate
Generate a talking actor video
curl --request POST \
  --url https://api.turboads.ai/v1/talking-actors/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "<string>",
  "actor_id": "<string>",
  "script": "<string>",
  "voice_id": "<string>",
  "voice_options": {
    "speed": 123,
    "stability": 123,
    "similarity": 123,
    "style": 123
  }
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.turboads.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:ta_live_your_api_key
required

Use a Developer API key from Settings > Developers.

Body

application/json
project_id
string
required
actor_id
string
required
script
string
required
voice_id
string
voice_options
object

Response

200

Created talking actor generation job